using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace  Back.Data.Models
{
    [PrimaryKey("FildID", "Code")]
    public class Coding
    {
        public int FildID { get; set; }
        [Column(TypeName = "varchar(10)")]
        public string Code { get; set; }
        public string Title { get; set; }
        #region Navigation

        [ForeignKey("FildID")]
        public virtual Fild Fild { get; set; }
        #endregion
    }
}
